function x_filtrada=Filtro(x)
% Filtra la seņal x

x_filtrada(1)=x(1);
x_filtrada(2)=x(2);
x_filtrada(3)=x(3);
x_filtrada(4)=x(4);
x_filtrada(5)=x(5);
x_filtrada(6)=x(6);
x_filtrada(7)=x(7);
x_filtrada(8)=x(8);
x_filtrada(9)=x(9);
x_filtrada(10)=x(10);
x_filtrada(11)=x(11);
x_filtrada(12)=x(12);
x_filtrada(13)=x(13);
x_filtrada(14)=x(14);
x_filtrada(15)=x(15);
x_filtrada(16)=x(16);


x_filtrada(length(x)-15)=x(length(x)-15);
x_filtrada(length(x)-14)=x(length(x)-14);
x_filtrada(length(x)-13)=x(length(x)-13);
x_filtrada(length(x)-12)=x(length(x)-12);
x_filtrada(length(x)-11)=x(length(x)-11);
x_filtrada(length(x)-10)=x(length(x)-10);
x_filtrada(length(x)-9)=x(length(x)-9);
x_filtrada(length(x)-8)=x(length(x)-8);
x_filtrada(length(x)-7)=x(length(x)-7);
x_filtrada(length(x)-6)=x(length(x)-6);
x_filtrada(length(x)-5)=x(length(x)-5);
x_filtrada(length(x)-4)=x(length(x)-4);
x_filtrada(length(x)-3)=x(length(x)-3);
x_filtrada(length(x)-2)=x(length(x)-2);
x_filtrada(length(x)-1)=x(length(x)-1);
x_filtrada(length(x))=x(length(x));



for k=17:(length(x)-16)
x_filtrada(k)=(x(k-16)+x(k-15)+x(k-14)+x(k-13)+x(k-12)+x(k-11)+x(k-10)+x(k-9)+x(k-8)+x(k-7)+x(k-6)+x(k-5)+x(k-4)+x(k-3)+x(k-2)+x(k-1)+x(k)+x(k+1)+x(k+2)+x(k+3)+x(k+4)+x(k+5)+x(k+6)+x(k+7)+x(k+8)+x(k+9)+x(k+10)+x(k+11)+x(k+12)+x(k+13)+x(k+14)+x(k+15)+x(k+16))/33;
end
x_filtrada=x_filtrada';
